
TESTCASES = Test1 Test2 Test3 Test4 Test5 Test6

check_mxmlc : SFAL.class
	@for basename in $(TESTCASES) ; do \
	echo -n $$basename"..."; \
	java SFAL $$basename $$basename.sfal; \
	(diff -b -q $$basename.gold $$basename.as && echo "OK") \
	  || echo "FAILED"; \
	  mxmlc $$basename.as; \
	done

check : SFAL.class
	@for basename in $(TESTCASES) ; do \
	echo -n $$basename"..."; \
	java SFAL $$basename $$basename.sfal; \
	(diff -b -q $$basename.gold $$basename.as && echo "OK") \
	  || echo "FAILED"; \
	done
